import { RouterView } from 'vue-router';

const roadmapCard = {
    path: ':id',
    name: 'RoadmapCard',
    component: () => import('src/pages/Route/Roadmap/RoadmapCard.vue'),
    redirect: { name: 'RoadmapSummary' },
    meta: {
        menu: ['RoadmapBasicData', 'RoadmapStops'],
    },
    children: [
        {
            name: 'RoadmapSummary',
            path: 'summary',
            meta: {
                title: 'summary',
                icon: 'open_in_new',
            },
            component: () => import('pages/Route/Roadmap/RoadmapSummary.vue'),
        },
        {
            name: 'RoadmapBasicData',
            path: 'basic-data',
            meta: {
                title: 'basicData',
                icon: 'vn:settings',
            },
            component: () => import('pages/Route/Roadmap/RoadmapBasicData.vue'),
        },
        {
            name: 'RoadmapStops',
            path: 'stops',
            meta: {
                title: 'stops',
                icon: 'vn:lines',
            },
            component: () => import('pages/Route/Roadmap/RoadmapStops.vue'),
        },
    ],
};

export default {
    path: '/route/roadmap',
    name: 'Roadmap',
    meta: {
        title: 'roadmap',
        icon: 'vn:troncales',
        moduleName: 'Roadmap',
    },
    component: RouterView,
    redirect: { name: 'RoadmapMain' },
    children: [
        {
            name: 'RoadmapMain',
            path: '',
            component: () => import('src/components/common/VnModule.vue'),
            redirect: { name: 'RoadmapIndexMain' },
            children: [
                {
                    name: 'RoadmapIndexMain',
                    path: '',
                    redirect: { name: 'RoadmapList' },
                    component: () => import('src/pages/Route/RouteRoadmap.vue'),
                    children: [
                        {
                            name: 'RoadmapList',
                            path: 'list',
                            meta: {
                                title: 'roadmapList',
                                icon: 'view_list',
                            },
                        },
                        roadmapCard,
                    ],
                },
            ],
        },
    ],
};
